# TurboGears2 Configuration

- TurboGears 2 Configuration
  - Overview
  - Configuration in the INI files
  - Configuration Milestones
  - The config module
  - Configuring your application
  - Advanced Configuration
- SQLAlchemy and Transaction Config Settings
  - `AppConfig` Method Overrides
- Template Rendering Config Settings
  - Configuration Attributes
  - Making a module available to all Genshi templates
  - Overriding AppConfig Rendering Methods